/*
 * 5799-WZQ (C) COPYRIGHT = NONE
 * LICENSED MATERIALS - PROPERTY OF IBM
 */
/* $Header:yyless.c 12.0$ */
/* $ACIS:yyless.c 12.0$ */
/* $Source: /ibm/acis/usr/src/usr.lib/libln/RCS/yyless.c,v $ */

#ifndef lint
static char *rcsid = "$Header:yyless.c 12.0$";
#endif

/*	@(#)yyless.c	4.2	1/9/85	*/

yyless(x)
{
extern char yytext[];
register char *lastch, *ptr;
extern int yyleng;
extern int yyprevious;
lastch = yytext+yyleng;
if (x>=0 && x <= yyleng)
	ptr = x + yytext;
else
	ptr = (char *) x;
while (lastch > ptr)
	yyunput(*--lastch);
*lastch = 0;
if (ptr >yytext)
	yyprevious = *--lastch;
yyleng = ptr-yytext;
}
